> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Add a bookmark to a tagged workbook

POST https://api.sigmacomputing.com/v2/workbooks/{workbookId}/tags/{tagName}/bookmarks/
Content-Type: application/json

Add a bookmark to a version tagged workbook.

### Usage notes
- Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
- Retrieve the **tagName** by calling the [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag) endpoint and using the `name` in the response.
- Retrieve the **workbookVersion** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint and using the `latestVersion` in the response for the workbook, or from the version history **More** menu for the specific version.
- Retrieve the **exploreKey** by identifying the ID of the workbook exploration that you want to bookmark. When exploring a workbook, the explore ID is visible in the URL: `:explore=76c76e52-8d94-448a-969c-32cc18da9ea0`. Provide the ID after the `=`.
  

Reference: https://help.sigmacomputing.com/reference/create-tagged-workbook-bookmark

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/workbooks/{workbookId}/tags/{tagName}/bookmarks/:
    post:
      operationId: createTaggedWorkbookBookmark
      summary: Add a bookmark to a tagged workbook
      description: >-
        Add a bookmark to a version tagged workbook.


        ### Usage notes

        - Retrieve the **workbookId** by calling the
        [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks)
        endpoint.

        - Retrieve the **tagName** by calling the
        [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag)
        endpoint and using the `name` in the response.

        - Retrieve the **workbookVersion** by calling the
        [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks)
        endpoint and using the `latestVersion` in the response for the workbook,
        or from the version history **More** menu for the specific version.

        - Retrieve the **exploreKey** by identifying the ID of the workbook
        exploration that you want to bookmark. When exploring a workbook, the
        explore ID is visible in the URL:
        `:explore=76c76e52-8d94-448a-969c-32cc18da9ea0`. Provide the ID after
        the `=`.
          
      tags:
        - Workbooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: tagName
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/workbooks_createTaggedWorkbookBookmark_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                workbookVersion:
                  type: number
                  format: double
                name:
                  type: string
                isShared:
                  type: boolean
                  description: Whether the bookmark is shared.
                exploreKey:
                  type: string
                  description: ID of the associated exploration.
              required:
                - workbookVersion
                - name
                - isShared
                - exploreKey
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    workbooks_createTaggedWorkbookBookmark_Response_200:
      type: object
      properties:
        bookmarkId:
          type: string
        name:
          type: string
        isShared:
          type: boolean
          description: Whether the bookmark is shared.
        exploreKey:
          type: string
          description: ID of the associated exploration.
        isDefault:
          type: boolean
          description: Whether the bookmark is default.
      required:
        - bookmarkId
        - name
        - isShared
        - exploreKey
      title: workbooks_createTaggedWorkbookBookmark_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "workbookVersion": 3.2,
  "name": "Quarterly Sales Overview",
  "isShared": false,
  "exploreKey": "76c76e52-8d94-448a-969c-32cc18da9ea0"
}
```

**Response**

```json
{
  "bookmarkId": "bkmk-9f8e7d6c5b4a3e2f1d0c",
  "name": "Quarterly Sales Overview",
  "isShared": false,
  "exploreKey": "76c76e52-8d94-448a-969c-32cc18da9ea0",
  "isDefault": false
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/"

payload = {
    "workbookVersion": 3.2,
    "name": "Quarterly Sales Overview",
    "isShared": False,
    "exploreKey": "76c76e52-8d94-448a-969c-32cc18da9ea0"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"workbookVersion":3.2,"name":"Quarterly Sales Overview","isShared":false,"exploreKey":"76c76e52-8d94-448a-969c-32cc18da9ea0"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/"

	payload := strings.NewReader("{\n  \"workbookVersion\": 3.2,\n  \"name\": \"Quarterly Sales Overview\",\n  \"isShared\": false,\n  \"exploreKey\": \"76c76e52-8d94-448a-969c-32cc18da9ea0\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"workbookVersion\": 3.2,\n  \"name\": \"Quarterly Sales Overview\",\n  \"isShared\": false,\n  \"exploreKey\": \"76c76e52-8d94-448a-969c-32cc18da9ea0\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"workbookVersion\": 3.2,\n  \"name\": \"Quarterly Sales Overview\",\n  \"isShared\": false,\n  \"exploreKey\": \"76c76e52-8d94-448a-969c-32cc18da9ea0\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/', [
  'body' => '{
  "workbookVersion": 3.2,
  "name": "Quarterly Sales Overview",
  "isShared": false,
  "exploreKey": "76c76e52-8d94-448a-969c-32cc18da9ea0"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"workbookVersion\": 3.2,\n  \"name\": \"Quarterly Sales Overview\",\n  \"isShared\": false,\n  \"exploreKey\": \"76c76e52-8d94-448a-969c-32cc18da9ea0\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "workbookVersion": 3.2,
  "name": "Quarterly Sales Overview",
  "isShared": false,
  "exploreKey": "76c76e52-8d94-448a-969c-32cc18da9ea0"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/workbooks/workbookId/tags/tagName/bookmarks/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```